/******************************** */
/* Rule Set Based Access Control  */
/* Author and (c) 1999: Amon Ott  */
/* System Call definitions - i386 */
/* Last modified: 09/Sep/99       */
/******************************** */

#ifndef __RSBAC_UNISTD_I386_H
#define __RSBAC_UNISTD_I386_H

/* RSBAC - we start at 200 */
#define __NR_rsbac_get_attr         200
#define __NR_rsbac_get_attr_n       201
#define __NR_rsbac_set_attr         202
#define __NR_rsbac_set_attr_n       203
#define __NR_rsbac_remove_target    204
#define __NR_rsbac_remove_target_n  205
#define __NR_rsbac_stats            206
#define __NR_rsbac_switch           207
#define __NR_rsbac_adf_log_switch   208
#define __NR_rsbac_mac_set_curr_seclevel 209
#define __NR_rsbac_mac_get_curr_seclevel 210
#define __NR_rsbac_mac_set_max_seclevel 211
#define __NR_rsbac_mac_get_max_seclevel 212
#define __NR_rsbac_stats_pm         213
#define __NR_rsbac_pm               214
#define __NR_rsbac_pm_change_current_task 215
#define __NR_rsbac_pm_create_file   216
#define __NR_rsbac_ms_get_copied    217
#define __NR_rsbac_write            218
#define __NR_rsbac_log              219
#define __NR_rsbac_check            220
#define __NR_rsbac_rc_copy_role     221
#define __NR_rsbac_rc_get_item      222
#define __NR_rsbac_rc_set_item      223
#define __NR_rsbac_rc_change_role   224
#define __NR_rsbac_auth_add_p_cap   225
#define __NR_rsbac_auth_remove_p_cap 226
#define __NR_rsbac_auth_add_f_cap   227
#define __NR_rsbac_auth_remove_f_cap 228
#define __NR_rsbac_auth_get_f_caplist 229
#define __NR_rsbac_mac_set_curr_categories 230
#define __NR_rsbac_mac_get_curr_categories 231
#define __NR_rsbac_mac_set_max_categories 232
#define __NR_rsbac_mac_get_max_categories 233
#define __NR_rsbac_rc_get_eff_rights_n 234
#define __NR_rsbac_acl              235
#define __NR_rsbac_acl_n            236
#define __NR_rsbac_acl_get_rights   237
#define __NR_rsbac_acl_get_rights_n 238
#define __NR_rsbac_acl_get_tlist    239
#define __NR_rsbac_acl_get_tlist_n  240
#define __NR_rsbac_acl_get_mask     241
#define __NR_rsbac_acl_get_mask_n   242
#define __NR_rsbac_acl_group        243

#endif
